/// \file spiflash.h Definitions for using SPI flash with VS1000

#ifndef SPIFLASH_H
#define SPIFLASH_H

#include <vstypes.h>

s_int16 EeWriteBlock(register u_int32 blockn, u_int16 *dptr);
void EeErase4K(register u_int32 blockn);
void EeErase64K(register u_int32 blockn);
u_int16 EeReadBlock(register u_int32 blockn, u_int16 *dptr);
u_int16 EeCompareBlock(register u_int32 blockn, u_int16 *dptr);
void InitSpi(void);
auto u_int16 EeReadDiskSector(register __i0 u_int16 *buffer, register __a u_int32 sector);

#endif
